definitions:
  model.Product:
    properties:
      categorie:
        type: string
      description:
        type: string
      id:
        type: string
      image:
        items:
          type: integer
        type: array
      name:
        type: string
      price:
        type: integer
      stock:
        type: integer
    type: object
  model.ResponsBody:
    properties:
      data:
        items: {}
        type: array
      status:
        type: integer
      success:
        type: boolean
    type: object
  model.User:
    properties:
      email:
        type: string
      id:
        type: string
      name:
        type: string
      password:
        type: string
      phone:
        type: string
    type: object
info:
  contact: {}
  description: The swagger to urban threads'api.
  termsOfService: http://swagger.io/terms/
  title: Urban Threads's swagger
  version: "1.0"
paths:
  /ping:
    post:
      description: Verify if server is running with a ping
      produces:
      - application/json
      responses:
        "200":
          description: PONG
          schema:
            type: string
        "500":
          description: Internal Server Error
      summary: Send Pong
      tags:
      - PING
  /product/create:
    post:
      description: Create one product in the database
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "201":
          description: Created
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Insert one product
      tags:
      - Products
  /product/delete:
    post:
      description: Delete one product in the database
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Destroy one product
      tags:
      - Products
  /product/getAll:
    post:
      description: Retrieve all products in the database
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            items:
              $ref: '#/definitions/model.Product'
            type: array
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Show all products
      tags:
      - Products
  /product/getAllRedis:
    post:
      description: Retrieve all products from Redis DB
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            items:
              $ref: '#/definitions/model.Product'
            type: array
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: ShowAll in Redis
      tags:
      - Products
  /product/getOne:
    post:
      description: Retrieve one product in the database with his name
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/model.Product'
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Show one product
      tags:
      - Products
  /product/insertRedis:
    post:
      description: Retrieve products from DB and insert in Redis DB
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Insert in Redis
      tags:
      - Products
  /product/update:
    post:
      description: Update one product in the database
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Modify one product
      tags:
      - Products
  /user/create:
    post:
      description: Create user in the database
      produces:
      - application/json
      responses:
        "201":
          description: Created
          schema:
            $ref: '#/definitions/model.User'
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Create one user
      tags:
      - Users
  /user/delete:
    post:
      description: Delete user in the database
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/model.User'
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Delete one user
      tags:
      - Users
  /user/getAll:
    post:
      description: Retrieve all users in the database
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            items:
              $ref: '#/definitions/model.User'
            type: array
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Show all users
      tags:
      - Users
  /user/getOne:
    post:
      description: Retrieve one users in the database with his e-mail
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/model.User'
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Show one user
      tags:
      - Users
  /user/login:
    post:
      description: Login user to the application
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/model.User'
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: login one user
      tags:
      - Users
  /user/passwordReset:
    post:
      description: when one user forgotten his password, i send e-mail for changing
        his password
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/model.User'
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: sending sms to user
      tags:
      - Users
  /user/update:
    post:
      description: Update user in the database
      parameters:
      - description: Token generate to connection
        in: header
        name: Authorization
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/model.User'
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/model.ResponsBody'
      summary: Update one user
      tags:
      - Users
swagger: "2.0"
